summaryrefslogtreecommitdiffstats
path: root/source/d
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-06-18 06:19:23 +0000
committer Eric Hameleers <alien@slackware.com>2018-06-18 10:35:08 +0200
commit04696baa146387e730d10a1e0b0a540989eea8e6 (patch)
tree642d09926a46b27d6a853e1f761398bb013746f9 /source/d
parent3a51ffacffe54c13e2e8f54390a730971cd9383b (diff)
downloadcurrent-04696baa146387e730d10a1e0b0a540989eea8e6.tar.gz
current-04696baa146387e730d10a1e0b0a540989eea8e6.tar.xz
Mon Jun 18 06:19:23 UTC 201820180618061923
a/aaa_elflibs-15.0-x86_64-1.txz: Upgraded. Upgraded to libelf-0.171.so, added libgdbm.so.6.0.0. a/etc-15.0-x86_64-6.txz: Rebuilt. Add $(uname -m) information to /etc/issue.new. Don't include /tmp directories - these are handled by aaa_base. a/kernel-generic-4.14.50-x86_64-1.txz: Upgraded. a/kernel-huge-4.14.50-x86_64-1.txz: Upgraded. a/kernel-modules-4.14.50-x86_64-1.txz: Upgraded. ap/man-db-2.8.3-x86_64-3.txz: Rebuilt. Recompiled against gdbm-1.15. ap/zsh-5.5.1-x86_64-2.txz: Rebuilt. Recompiled against gdbm-1.15. d/clisp-2.49_20180423_d1310adc5-x86_64-1.txz: Upgraded. Compiled against gdbm-1.15. d/kernel-headers-4.14.50-x86-1.txz: Upgraded. d/perl-5.26.2-x86_64-5.txz: Rebuilt. Recompiled against gdbm-1.15. d/python-2.7.15-x86_64-3.txz: Rebuilt. Recompiled against gdbm-1.15. d/python3-3.6.5-x86_64-4.txz: Rebuilt. Recompiled against gdbm-1.15. d/ruby-2.5.1-x86_64-4.txz: Rebuilt. Recompiled against gdbm-1.15. k/kernel-source-4.14.50-noarch-1.txz: Upgraded. kde/kdelibs-4.14.38-x86_64-3.txz: Rebuilt. Patched to build with OpenSSL-1.1.x. Thanks to nobodino. l/gdbm-1.15-x86_64-1.txz: Upgraded. Shared library .so-version bump. n/cyrus-sasl-2.1.27_rc8-x86_64-1.txz: Upgraded. Compiled against gdbm-1.15. n/mutt-1.10.0-x86_64-2.txz: Rebuilt. Recompiled against gdbm-1.15. n/php-7.2.6-x86_64-2.txz: Rebuilt. Recompiled against gdbm-1.15. n/yptools-2.14-x86_64-11.txz: Rebuilt. Recompiled against gdbm-1.15. xap/gnuchess-6.2.5-x86_64-3.txz: Rebuilt. Recompiled against gdbm-1.15. isolinux/initrd.img: Rebuilt. Copy libefiboot to the installer (needed by efibootmgr). Compress the kernel modules with xz. Compress the initrd image with xz. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt. Copy libefiboot to the installer (needed by efibootmgr). Compress the kernel modules with xz. Compress the initrd image with xz.
Diffstat (limited to 'source/d')
-rwxr-xr-xsource/d/clisp/source.download61
-rwxr-xr-xsource/d/perl/perl.SlackBuild2
-rwxr-xr-xsource/d/python/python.SlackBuild2
-rwxr-xr-xsource/d/python3/python3.SlackBuild2
-rwxr-xr-xsource/d/ruby/ruby.SlackBuild2
5 files changed, 51 insertions, 18 deletions
diff --git a/source/d/clisp/source.download b/source/d/clisp/source.download
index 06bc8c9b2..94658b7f2 100755
--- a/source/d/clisp/source.download
+++ b/source/d/clisp/source.download
@@ -1,14 +1,47 @@
-# Pull the latest clisp sources from the upstream mercurial repository:
-rm -rf clisp-2.49
-hg clone http://hg.code.sf.net/p/clisp/clisp clisp-2.49
-# Determine date and changeset for tarball labeling:
-DATE="$(date -d "$( cd clisp-2.49 ; hg parent | grep date: | cut -b 14- | cut -f 1 -d +)" +"%Y%m%d")"
-CHANGESET="$( cd clisp-2.49 ; hg parent | grep changeset: | cut -f 3 -d :)"
-# Don't package .hg:
-rm -fr clisp-2.49/.hg*
-# Create tarball:
-mv clisp-2.49 clisp-2.49.${DATE}.${CHANGESET}
-tar cf clisp-2.49.${DATE}.${CHANGESET}.tar clisp-2.49.${DATE}.${CHANGESET}
-plzip -9 -n 6 clisp-2.49.${DATE}.${CHANGESET}.tar
-# Clean up:
-rm -rf clisp-2.49.${DATE}.${CHANGESET}
+#!/bin/sh
+
+# Copyright 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Pull a stable branch + patches
+BRANCH=${1:-master}
+
+# Clear download area:
+rm -rf clisp
+
+# Clone repository:
+git clone https://gitlab.com/gnu-clisp/clisp
+
+# checkout $BRANCH:
+( cd clisp
+ git checkout $BRANCH || exit 1
+)
+
+HEADISAT="$( cd clisp && git log -1 --format=%h )"
+DATE="$( cd clisp && git log -1 --format=%ad --date=format:%Y%m%d )"
+# Cleanup. We're not packing up the whole git repo.
+( cd clisp && find . -type d -name ".git*" -exec rm -rf {} \; 2> /dev/null )
+mv clisp clisp-2.49_${DATE}_${HEADISAT}
+tar cf clisp-2.49_${DATE}_${HEADISAT}.tar clisp-2.49_${DATE}_${HEADISAT}
+xz -9 -f clisp-2.49_${DATE}_${HEADISAT}.tar
+rm -rf clisp-2.49_${DATE}_${HEADISAT}
+echo
+echo "clisp branch $BRANCH with HEAD at $HEADISAT packaged as clisp-2.49_${DATE}_${HEADISAT}.tar.xz"
+echo
diff --git a/source/d/perl/perl.SlackBuild b/source/d/perl/perl.SlackBuild
index bb35a6bc5..ee51ce8a8 100755
--- a/source/d/perl/perl.SlackBuild
+++ b/source/d/perl/perl.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=perl
VERSION=5.26.2
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-5}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/d/python/python.SlackBuild b/source/d/python/python.SlackBuild
index c4948fcd0..29deb4267 100755
--- a/source/d/python/python.SlackBuild
+++ b/source/d/python/python.SlackBuild
@@ -26,7 +26,7 @@ PKGNAM=python
SRCNAM=Python
VERSION=$(echo $SRCNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)
BRANCH_VERSION=$(echo $VERSION | cut -f 1,2 -d . )
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:-" -j7 "}
diff --git a/source/d/python3/python3.SlackBuild b/source/d/python3/python3.SlackBuild
index aebf3818e..ae4bcfda7 100755
--- a/source/d/python3/python3.SlackBuild
+++ b/source/d/python3/python3.SlackBuild
@@ -29,7 +29,7 @@ PKGNAM=python3
SRCNAM=Python
VERSION=$(echo $SRCNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)
BRANCH_VERSION=$(echo $VERSION | cut -f 1,2 -d . )
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
NUMJOBS=${NUMJOBS:-" -j7 "}
diff --git a/source/d/ruby/ruby.SlackBuild b/source/d/ruby/ruby.SlackBuild
index b3291af1b..cac96affb 100755
--- a/source/d/ruby/ruby.SlackBuild
+++ b/source/d/ruby/ruby.SlackBuild
@@ -32,7 +32,7 @@ else
VERSION=$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)
fi
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then